CREATE TABLE atk_qb_contexts_all_b (
    CONTEXT_ID                      NUMBER(18, 0) ,
    APPLICATION_ID                  NUMBER(18, 0)     NOT NULL,
    CONTEXT_NAME                    VARCHAR2(960)     NOT NULL,
    MULTI_VALUE_FLAG                VARCHAR2(12)  ,
    MULTI_RULE_RESULT_FLAG          VARCHAR2(12)  ,
    CONTEXT_TYPE_CODE               VARCHAR2(60)      NOT NULL,
    FLEX_FIELD_NAME                 VARCHAR2(960) ,
    FLEX_FIELD_APP_ID               NUMBER(18, 0) ,
    USE_DEFAULT_FLAG                VARCHAR2(12)  ,
    IS_DEFAULT_REQUIRED_FLAG        VARCHAR2(12)  ,
    CONTEXT_CATEGORY                VARCHAR2(960)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    ORG_ID                          NUMBER(18, 0)     NOT NULL,
    IS_QUERY_USER_NAME_UNIQUE       VARCHAR2(4)   ,
    UNIQUE_QRY_USER_NAME_REQ_MSG    VARCHAR2(600) ,
    IS_QRY_CRITERIA_REQ             VARCHAR2(4)   ,
    QRY_CRITERIA_REQ_MSG            VARCHAR2(600) ,
    SEED_DATA_SOURCE                VARCHAR2(2048),
    ORA_SEED_SET1                   VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                   VARCHAR2(4)       NOT NULL,
    CONTEXT_ID                      NUMBER(18, 0) ,
    APPLICATION_ID                  NUMBER(18, 0)     NOT NULL,
    CONTEXT_NAME                    VARCHAR2(960)     NOT NULL,
    MULTI_VALUE_FLAG                VARCHAR2(12)  ,
    MULTI_RULE_RESULT_FLAG          VARCHAR2(12)  ,
    CONTEXT_TYPE_CODE               VARCHAR2(60)      NOT NULL,
    FLEX_FIELD_NAME                 VARCHAR2(960) ,
    FLEX_FIELD_APP_ID               NUMBER(18, 0) ,
    USE_DEFAULT_FLAG                VARCHAR2(12)  ,
    IS_DEFAULT_REQUIRED_FLAG        VARCHAR2(12)  ,
    CONTEXT_CATEGORY                VARCHAR2(960)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    ORG_ID                          NUMBER(18, 0)     NOT NULL,
    IS_QUERY_USER_NAME_UNIQUE       VARCHAR2(4)   ,
    UNIQUE_QRY_USER_NAME_REQ_MSG    VARCHAR2(600) ,
    IS_QRY_CRITERIA_REQ             VARCHAR2(4)   ,
    QRY_CRITERIA_REQ_MSG            VARCHAR2(600) ,
    SEED_DATA_SOURCE                VARCHAR2(2048),
    ORA_SEED_SET1                   VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                   VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_atk_qb_contexts_all_b PRIMARY KEY (CONTEXT_ID, CONTEXT_ID)
);
